# BaseTransaction Class Reference
[Tools for working with transactions]

Transaction's basis. More...

Inheritance diagram for BaseTransaction:
[legend]

List of all members.

## Public Member Functions

| flush ()
| __construct (DB $db)
| setDB (DB $db)
| getDB ()
| setIsolationLevel (IsolationLevel $level)
| setAccessMode (AccessMode $mode)

## Protected Member Functions

| getBeginString ()

## Protected Attributes

| $db = null
| $isoLevel = null
| $mode = null

## Detailed Description

Transaction's basis.

Definition at line 17 of file BaseTransaction.class.php.

## Constructor & Destructor Documentation

BaseTransaction::__construct | ( | DB $ | db | ) |

Definition at line 26 of file BaseTransaction.class.php.

## Member Function Documentation

BaseTransaction::flush | ( |  | ) | `[abstract]`

Reimplemented in DBTransaction, and FakeTransaction.

BaseTransaction::getBeginString | ( |  | ) | `[protected]`

Definition at line 69 of file BaseTransaction.class.php.

Referenced by DBTransaction::add(), and TransactionQueue::flush().

BaseTransaction::getDB | ( |  | ) |

Returns:
  DB

Definition at line 44 of file BaseTransaction.class.php.

BaseTransaction::setAccessMode | ( | AccessMode $ | mode | ) |

Returns:
  BaseTransaction

Definition at line 62 of file BaseTransaction.class.php.

BaseTransaction::setDB | ( | DB $ | db | ) |

Returns:
  BaseTransaction

Reimplemented in DBTransaction.

Definition at line 34 of file BaseTransaction.class.php.

BaseTransaction::setIsolationLevel | ( | IsolationLevel $ | level | ) |

Returns:
  BaseTransaction

Definition at line 52 of file BaseTransaction.class.php.

## Member Data Documentation

BaseTransaction::$db = null`[protected]`

Definition at line 19 of file BaseTransaction.class.php.

BaseTransaction::$isoLevel = null`[protected]`

Definition at line 21 of file BaseTransaction.class.php.

BaseTransaction::$mode = null`[protected]`

Definition at line 22 of file BaseTransaction.class.php.

The documentation for this class was generated from the following file:

- core/DB/Transaction/BaseTransaction.class.php